Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Sun Java System Application Server API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ejbadapter.alerts
Class EjbAlertCodes

    java.lang.Object
      com.stc.connector.ejbadapter.alerts.EjbAlertCodes

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.AlertCodeMap

    public class EjbAlertCodes

extends java.lang.Object
implements com.stc.connector.management.jca.system.mbeans.AlertCodeMap

Field Summary
`static java.lang.String` | `EJB_ERRORENCOUNTERED` EJB eway error encountered
`static java.lang.String` | `EJB_EWAY_RUNNING` eWay running status code.
`static java.lang.String` | `EJB_EWAY_STARTED` eWay started status code.
`static java.lang.String` | `EJB_EWAY_STOPPED` eWay stopped status code.
`static java.lang.String` | `EJB_EWAY_STOPPING` eWay stopping status code.
`static java.lang.String` | `EJB_EWAY_SUSPENDED` eWay suspended status code.
`static java.lang.String` | `EJB_EWAY_SUSPENDING` eWay suspending status code.

Constructor Summary
`EjbAlertCodes()`

Method Summary
`java.lang.String` | `getMapping(java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB_EWAY_STARTED

    public static final java.lang.String EJB_EWAY_STARTED

  eWay started status code.

  See Also:
    Constant Field Values

### EJB_EWAY_RUNNING

    public static final java.lang.String EJB_EWAY_RUNNING

  eWay running status code.

  See Also:
    Constant Field Values

### EJB_EWAY_STOPPING

    public static final java.lang.String EJB_EWAY_STOPPING

  eWay stopping status code.

  See Also:
    Constant Field Values

### EJB_EWAY_STOPPED

    public static final java.lang.String EJB_EWAY_STOPPED

  eWay stopped status code.

  See Also:
    Constant Field Values

### EJB_EWAY_SUSPENDING

    public static final java.lang.String EJB_EWAY_SUSPENDING

  eWay suspending status code.

  See Also:
    Constant Field Values

### EJB_EWAY_SUSPENDED

    public static final java.lang.String EJB_EWAY_SUSPENDED

  eWay suspended status code.

  See Also:
    Constant Field Values

### EJB_ERRORENCOUNTERED

    public static final java.lang.String EJB_ERRORENCOUNTERED

  EJB eway error encountered

  See Also:
    Constant Field Values

Constructor Detail

### EjbAlertCodes

    public EjbAlertCodes()

Method Detail

### getMapping

    public java.lang.String getMapping(java.lang.String key)

  Specified by:
    `getMapping` in interface `com.stc.connector.management.jca.system.mbeans.AlertCodeMap`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Sun Java System Application Server API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD